%global date         20180628
%global gittag       be557410232d84929614410d9048468bc6e5f671
%global short_gittag %(c=%{gittag}; echo ${c:0:7})

Name:          apfs-fuse
Summary:       A read-only FUSE driver for Apple's APFS
Version:       0
Release:       2.%{date}git%{short_gittag}%{?dist}
License:       GPLv2+
URL:           https://github.com/sgan81/apfs-fuse
Source0:       https://github.com/sgan81/%{name}/archive/%{short_gittag}/%{name}-%{short_gittag}.tar.gz
Source1:       https://github.com/lzfse/lzfse/archive/lzfse-1.0.tar.gz
Provides:      bundled(lzfse) = 1.0
Requires:      fuse
BuildRequires: fuse-devel libicu-devel libattr-devel zlib-devel bzip2-devel
BuildRequires: cmake

%description
apfs-fuse is a read-only driver for the new Apple File System, APFS. Since
Apple didn't document the disk format, this driver should be considered
experimental. Not all compression methods are supported yet, thus the driver
may return compressed files instead of uncompressed ones.

%prep
%autosetup -n %{name}-%{gittag}
cd 3rdparty
rmdir lzfse
tar zxf %{SOURCE1}
mv lzfse-* lzfse

# Work-around -march=native usage
cd ..
sed -i 's,-march=native,,' CMakeLists.txt

%build
%cmake -DBUILD_SHARED_LIBS:BOOL=OFF .
%make_build

%install
mkdir -p %{buildroot}/%{_bindir}
cp -a bin/apfs-* %{buildroot}/%{_bindir}/

mkdir -p %{buildroot}/%{_sbindir}
pushd %{buildroot}/%{_sbindir}
ln -s ../bin/apfs-fuse mount.apfs
popd

%files
%{_bindir}/apfs-*
%{_sbindir}/mount.apfs
%doc README.md
%license LICENSE

%changelog
* Mon Jul 02 2018 Bastien Nocera <bnocera@redhat.com> - 0-2.git20180628gitbe55741
- Add a "mount.apfs" link

* Mon Jul 02 2018 Bastien Nocera <bnocera@redhat.com> - 0-1.git20180628gitbe55741
- First Fedora version based off package by Lawrence
  R. Rogers <lrr@cert.org>
